Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Hudson » Upgrade from 2.2.1 to 3.0.1 Unsuccessful(Exceptions / Access Denied)
Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1065469] Tue, 25 June 2013 20:09 Go to next message
Stuart Lorber is currently offline Stuart LorberFriend
Messages: 44
Registered: June 2013
Member
I downloaded the 3.0.1 .deb file and installed it.

Upon startup I get:

HTTP ERROR 500

Problem accessing /. Reason:

jar:file:/var/lib/hudson/war/webapp/WEB-INF/lib/hudson-core-3.0.1-b2.jar!/lib/layout/layout.jelly:336:86: <st:include> org/acegisecurity/AccessDeniedException

Caused by:

org.apache.commons.jelly.JellyTagException: jar:file:/var/lib/hudson/war/webapp/WEB-INF/lib/hudson-core-3.0.1-b2.jar!/lib/layout/layout.jelly:336:86: <st:include> org/acegisecurity/AccessDeniedException
at org.apache.commons.jelly.impl.TagScript.handleException(TagScript.java:728)
at org.apache.commons.jelly.impl.TagScript.run(TagScript.java:290)
at org.apache.commons.jelly.TagSupport.invokeBody(TagSupport.java:186)
at org.apache.commons.jelly.tags.core.ForEachTag.doTag(ForEachTag.java:150)
at org.apache.commons.jelly.impl.TagScript.run(TagScript.java:270)

Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1065483 is a reply to message #1065469] Tue, 25 June 2013 21:57 Go to previous messageGo to next message
Bob Foster is currently offline Bob FosterFriend
Messages: 74
Registered: January 2013
Member
Hudson 3 uses spring security - acegisecurity has been removed. Try editing $HUDSON_HOME/hudson-security.xml and set <useSecurity>false</useSecurity. I'd back up HUDSON_HOME before you do this.
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1065562 is a reply to message #1065483] Wed, 26 June 2013 14:03 Go to previous messageGo to next message
Stuart Lorber is currently offline Stuart LorberFriend
Messages: 44
Registered: June 2013
Member
I tried this and got the same error.

I then did this: I restored my VM to 2.2.1 and then turned off security and then did the upgrade again.

Same error.

Then I stopped and restarted my VM and restarted hudson (with 3.0.1) and get:

HTTP ERROR: 503
Problem accessing /. Reason:
Service Unavailable
Powered by Jetty://
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1066283 is a reply to message #1065562] Mon, 01 July 2013 21:42 Go to previous messageGo to next message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
Some plugin you use may be still using the old acegi security. Can you lists the plugins you installed (Also make sure, they are upgraded to latest version)

Winston Prakash
Eclipse Hudson team
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1066649 is a reply to message #1066283] Wed, 03 July 2013 14:54 Go to previous messageGo to next message
Stuart Lorber is currently offline Stuart LorberFriend
Messages: 44
Registered: June 2013
Member
Here is a list of our installed plugins:

Hudson Active Directory plugin 1.17
Static Analysis Utilities 1.48
Buckminster 1.1.0
Build Pipeline Plugin 1.2.3
Copy To Slave Plugin 1.4
Copy Artifact Plugin 1.12
Hudson CVS Plug-in 2.2.0
Dashboard View 2.4
Jenkins description setter plugin 1.8
Jenkins disk-usage plugin 0.18
Downstream build view 1.8
Duplicate Code Scanner Plug-in 2.33
Amazon EC2 plugin 1.18
FTP publisher plugin 1.2
Hudson GIT plugin 2.2.0
HTML Publisher plugin 1.0
Jenkins JaCoCo plugin 1.0.2
Job Import Plugin 1.0
Join plugin 1.9
Log Parser Plugin 1.0.8
Maven 2 job type Plugin 2.2.1
Hudson :: Maven 3 :: Plugin 2.2.0
Hudson :: Maven 3 :: SNAPSHOT Monitor 2.2.0
Monitoring 1.41.0
Hudson Next Build Number Plugin 1.0
Performance plugin 1.8
PMD Plug-in 3.33
Project Description Setter 1.1
Jenkins promoted builds plugin 2.4
Promoted Builds (Simple) 1.9
Hudson Redmine plugin 0.11
Hudson :: REST :: Plugin 2.1.2
Role-based Authorization Strategy 1.1.2
SCM Sync Configuration Plugin 0.0.6.1
slave-status 1.6
Sonar Plugin 2.0 DISABLED
Hudson SSH Slaves plugin 2.1.1
Status View Plugin 1.0
Status Monitor Plugin 1.3
Hudson Subversion Plug-in 2.3.2
Token Macro Plugin 1.5.1
Hudson Upstream Downstream Column Plugin 1.001
Version Number Plug-In 1.4.1
Warnings Plug-in 4.18
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1066702 is a reply to message #1066649] Wed, 03 July 2013 21:08 Go to previous messageGo to next message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
You need to ugrade the plugins specific to Hudson 3.x. These version does not seem to be that of supported by Hudson 3. You can see all the plugins supported by Hudson 3.x here http://hudson-ci.org/PluginCentral3/

Winston Prakash
Eclipse Hudson team
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1067416 is a reply to message #1066702] Mon, 08 July 2013 14:45 Go to previous messageGo to next message
Stuart Lorber is currently offline Stuart LorberFriend
Messages: 44
Registered: June 2013
Member
Should I upgrade those plugins on 2.2.1 before the upgrade?

I don't think I can upgrade them after the upgrade unless I do it manually as the error screen comes up before you log in.
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1067430 is a reply to message #1067416] Mon, 08 July 2013 15:56 Go to previous messageGo to next message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
Yes, when you start Hudson 3.0.0, you should see a Init screen, where you get a chance to upgrade. In the HUDSON_HOME, if you remove the initSetup.xml file, this screen will show again.

Winston Prakash
Eclipse Hudson team
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1067436 is a reply to message #1066702] Mon, 08 July 2013 16:37 Go to previous messageGo to next message
Stuart Lorber is currently offline Stuart LorberFriend
Messages: 44
Registered: June 2013
Member
Do I upgrade them on the 2.2.1 install before the upgrade?

I can't get into 3.0.1 after the initial setup to update them.
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1067450 is a reply to message #1067436] Mon, 08 July 2013 18:45 Go to previous messageGo to next message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
You can update all the plugins from the update center (Plugin Center) also.

Winston Prakash
Eclipse Hudson team
Re: Upgrade from 2.2.1 to 3.0.1 Unsuccessful [message #1067451 is a reply to message #1067450] Mon, 08 July 2013 18:48 Go to previous message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
> I can't get into 3.0.1 after the initial setup to update them.

You mean after you update all the plugins, you still can't get in to 3.0.1? What is thr error you see in the log file?
May be some plugin you are using may not have latest version. If so we have to fix it. Can you list the plugin version you have after the update.


Winston Prakash
Eclipse Hudson team
Previous Topic:M2 Release Plugin
Next Topic:What happens when a job is cancelled
Goto Forum:
  


Current Time: Sat Dec 20 11:44:31 GMT 2014

Powered by FUDForum. Page generated in 0.02378 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software